Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.walkers
Class TreeAnalyzer

    java.lang.Object
      com.singularsys.jep.walkers.PostfixTreeWalker
          com.singularsys.jep.walkers.TreeAnalyzer

    public class TreeAnalyzer

extends PostfixTreeWalker

Nested Class Summary
`static class` | `TreeAnalyzer.TreeCounts`

Constructor Summary
`TreeAnalyzer()`

Method Summary
`TreeAnalyzer.TreeCounts` | `analyze(Node node)`
`protected void` | `visit(ASTConstant node, int nchildren, int depth)`
`protected void` | `visit(ASTFunNode node, int nchildren, int depth)`
`protected void` | `visit(ASTVarNode node, int nchildren, int depth)`

Methods inherited from class com.singularsys.jep.walkers.PostfixTreeWalker
`supressExaminingChildren, walk, walkSubEquations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeAnalyzer

    public TreeAnalyzer()

Method Detail

### analyze

    public TreeAnalyzer.TreeCounts analyze(Node node)
                                    throws EvaluationException

  Throws:
    `EvaluationException`

### visit

    protected void visit(ASTFunNode node,
                         int nchildren,
                         int depth)
                  throws EvaluationException

  Specified by:
    `visit` in class `PostfixTreeWalker`
  Throws:
    `EvaluationException`

### visit

    protected void visit(ASTVarNode node,
                         int nchildren,
                         int depth)
                  throws EvaluationException

  Specified by:
    `visit` in class `PostfixTreeWalker`
  Throws:
    `EvaluationException`

### visit

    protected void visit(ASTConstant node,
                         int nchildren,
                         int depth)
                  throws EvaluationException

  Specified by:
    `visit` in class `PostfixTreeWalker`
  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep